OpenTTD Source: src/newgrf_canal.h File Reference

OpenTTD Source 14.0-beta3

Data Structures | Enumerations | Functions | Variables
newgrf_canal.h File Reference
`#include "newgrf.h"`
`#include "tile_type.h"`

Go to the source code of this file.

## Data Structures
struct | WaterFeature
| Information about a water feature. More...

## Enumerations
enum | CanalFeatureFlag { CFF_HAS_FLAT_SPRITE = 0 }
| Flags controlling the display of canals. More...

## Functions
SpriteID | GetCanalSprite (CanalFeature feature, TileIndex tile)
| Lookup the base sprite to use for a canal. More...
uint | GetCanalSpriteOffset (CanalFeature feature, TileIndex tile, uint cur_offset)
| Get the new sprite offset for a water tile. More...

## Variables
WaterFeature | _water_feature [CF_END]
| Table of canal 'feature' sprite groups.

## Detailed Description

Handling of NewGRF canals.

Definition in file newgrf_canal.h.

## Enumeration Type Documentation

## ◆ CanalFeatureFlag

enum CanalFeatureFlag

Flags controlling the display of canals.

Enumerator
CFF_HAS_FLAT_SPRITE | Additional flat ground sprite in the beginning.

Definition at line 17 of file newgrf_canal.h.

## Function Documentation

## ◆ GetCanalSprite()

SpriteID GetCanalSprite | ( | CanalFeature | feature,
|  | TileIndex | tile
| ) |  |

Lookup the base sprite to use for a canal.

Parameters

  feature | Which canal feature we want.
  tile | Tile index of canal, if appropriate.

Returns
  Base sprite returned by GRF, or `0` if none.

Definition at line 140 of file newgrf_canal.cpp.

References SpriteGroup::Resolve().

## ◆ GetCanalSpriteOffset()

uint GetCanalSpriteOffset | ( | CanalFeature | feature,
|  | TileIndex | tile,
|  | uint | cur_offset
| ) |  |

Get the new sprite offset for a water tile.

Parameters

  tile | Tile index of the canal/water tile.
  feature | For which feature to get the new sprite offset.
  cur_offset | Current sprite offset.

Returns
  New sprite offset.

Definition at line 171 of file newgrf_canal.cpp.

References _water_feature, CBM_CANAL_SPRITE_OFFSET, and HasBit().